STGE(4)

NAME
stge - Sundance/Tamarack TC9021 1Gb Ethernet device

SYNOPSIS
stge* at pci?
eephy* at mii?
gentbi* at mii?
ipgphy* at mii?

DESCRIPTION
The stge device driver supports the Sundance/Tamarack TC9021 Gigabit Ethernet chip.

The Sundance/Tamarack TC9021 chip is found on adapters such as the following:

•   Allied Telesis CentreCOM LA1000-PCI-T
•   Antares Microsystems TC9021
•   Asus NX1101
•   D-Link DGE-550T

It uses an external PHY or an external 10-bit interface.

The stge driver supports IPv4 receive IP/TCP/UDP checksum offload and VLAN tag insertion and stripping.

SEE ALSO
arp(4), eephy(4), gentbi(4), ifmedia(4), intro(4), ipgphy(4), mii(4), netintro(4), pci(4), hostname.if(5), ifconfig(8)

HISTORY
The stge driver first appeared in OpenBSD 3.1.

AUTHORS
The stge driver was written by Jason R. Thorpe <thorpej@netbsd.org>.